<?php
function drivingschoolacademy_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'drivingschoolacademy_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'driving-school-academy' ),
		)
	);
	

	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'driving-school-academy' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','driving-school-academy'),
			'priority' => 1,
			'panel' => 'drivingschoolacademy_frontpage_sections',
		)
	);


	$wp_customize->add_setting('drivingschoolacademy_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new drivingschoolacademy_Tab_Control($wp_customize, 'drivingschoolacademy_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'driving-school-academy'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'slider_subtitle',
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6',
				'slider_btntext1',
				'slider_btnlink1',
				'slider_btntext2',
				'slider_btnlink2'

            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'driving-school-academy'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'slider_titlecolor',
                'slider_descriptioncolor',
                'slider_btntxt1color',
				'slider_btntxthrvcolor',
				'slider_btntxt1bgcolor',
				'slider_btntxt2color',
				'slider_btntxt2hrvcolor',
				'slider_btntxt2bgcolor',
				'slider_arrowiconcolor',
				'slider_arrowiconbgcolor',
				'slider_arrowiconhrvcolor'

            ),
     	)
	    
    	),
	))); 


	

	// General Tab

	// slider subtitle
	$slidersubtitle = esc_html__('Home Repair Services', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_subtitle',
    	array(
			'default' => $slidersubtitle,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_subtitle',
		array(
		    'label'   		=> __('Sub Title','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntext1
	$sliderbtntext1 = esc_html__('Book Your First Lesson', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntext1',
    	array(
			'default' => $sliderbtntext1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntext1',
		array(
		    'label'   		=> __('Button 1 Text','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btnlink1
	$sliderbtnlink1 = esc_html__('#', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btnlink1',
    	array(
			'default' => $sliderbtnlink1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnlink1',
		array(
		    'label'   		=> __('Button 1 Link','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntext2
	$sliderbtntext2 = esc_html__('View Courses', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntext2',
    	array(
			'default' => $sliderbtntext2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntext2',
		array(
		    'label'   		=> __('Button 2 Text','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btnlink2
	$sliderbtnlink2 = esc_html__('#', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btnlink2',
    	array(
			'default' => $sliderbtnlink2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnlink2',
		array(
		    'label'   		=> __('Button 2 Link','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// Style setting

	// slider title Color
	$slidertitlecolor = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider description Color
	$sliderdescriptioncolor = esc_html__('#fdd400', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_descriptioncolor',
    	array(
			'default' => $sliderdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button 1 Text Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxthrv Color
	$sliderbtntxthrvcolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntxthrvcolor',
    	array(
			'default' => $sliderbtntxthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxthrvcolor',
		array(
		    'label'   		=> __('Button 1 Text Hover Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#ff5a1f', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntxt1bgcolor',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1bgcolor',
		array(
		    'label'   		=> __('Button 1 BG Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt2 Color
	$sliderbtntxt2color = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntxt2color',
    	array(
			'default' => $sliderbtntxt2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt2color',
		array(
		    'label'   		=> __('Button 2 Text Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt2hrv Color
	$sliderbtntxt2hrvcolor = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntxt2hrvcolor',
    	array(
			'default' => $sliderbtntxt2hrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt2hrvcolor',
		array(
		    'label'   		=> __('Button 2 Text Hover Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt2 Color
	$sliderbtntxt2color = esc_html__('#fdd400', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_btntxt2bgcolor',
    	array(
			'default' => $sliderbtntxt2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt2bgcolor',
		array(
		    'label'   		=> __('Button 2 BG Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider arrowicon Color
	$sliderarrowiconcolor = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_arrowiconcolor',
    	array(
			'default' => $sliderarrowiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconcolor',
		array(
		    'label'   		=> __('Arrows Icon Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconbg Color
	$sliderarrowiconbgcolor = esc_html__('#1e1e1e', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_arrowiconbgcolor',
    	array(
			'default' => $sliderarrowiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconbgcolor',
		array(
		    'label'   		=> __('Arrows Icon BG Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconhrv Color
	$sliderarrowiconhrvcolor = esc_html__('#ff5a1f', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'slider_arrowiconhrvcolor',
    	array(
			'default' => $sliderarrowiconhrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconhrvcolor',
		array(
		    'label'   		=> __('Arrows Icon Hover Color','driving-school-academy'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	

	/*=========================================
	feature Section
	=========================================*/
	$wp_customize->add_section(
		'feature_setting', array(
			'title' => esc_html__( 'Feature Section', 'driving-school-academy' ),
			'priority' => 2,
			'panel' => 'drivingschoolacademy_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('drivingschoolacademy_feature_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new drivingschoolacademy_Tab_Control($wp_customize, 'drivingschoolacademy_feature_tabs', array(
	   'section' => 'feature_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'driving-school-academy'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'feature_disable_section',
            	'feature1',
				'featureicon1',
            	'feature2',
				'featureicon2',
            	'feature3',
				'featureicon3',
				'feature4',
				'featureicon4',
            	'feature5',
				'featureicon5',
            	'feature6',
				'featureicon6',
				'feature7',
				'featureicon7',
				'feature8',
				'featureicon8',
				'feature9',
				'featureicon9',
				'feature10',
				'featureicon10'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'driving-school-academy'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
				'feature_iconcolor',
				'feature_titlecolor',
				'feature_box1bgcolor',
				'feature_box2bgcolor'
            ),
     	)
	    
    	),
	))); 



	// General

	// hide show feature section
	$wp_customize->add_setting(
        'feature_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new drivingschoolacademy_Toggle_Switch_Custom_Control(
            $wp_customize,
            'feature_disable_section',
            array(
                'settings'      => 'feature_disable_section',
                'section'       => 'feature_setting',
                'label'         => __( 'Disable Section', 'driving-school-academy' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'driving-school-academy' ),
                    'off' => __( 'No', 'driving-school-academy' )
                ),
            )
        )
    );

	// feature 1
	$wp_customize->add_setting( 
    	'feature1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'feature1',
		array(
		    'label'   		=> __('Feature 1','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// featureicon1
	$wp_customize->add_setting(
		'featureicon1',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon1',
		array(
			'label'   		=> __('Feature 1 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		

	// feature 2
	$wp_customize->add_setting(
    	'feature2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'feature2',
		array(
		    'label'   		=> __('Feature 2','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon2
	$wp_customize->add_setting(
		'featureicon2',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon2',
		array(
			'label'   		=> __('Feature 2 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 3
	$wp_customize->add_setting(
    	'feature3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'feature3',
		array(
		    'label'   		=> __('Feature 3','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon3
	$wp_customize->add_setting(
		'featureicon3',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon3',
		array(
			'label'   		=> __('Feature 3 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 4
	$wp_customize->add_setting( 
    	'feature4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature4',
		array(
		    'label'   		=> __('Feature 4','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// featureicon4
	$wp_customize->add_setting(
		'featureicon4',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon4',
		array(
			'label'   		=> __('Feature 4 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 5
	$wp_customize->add_setting(
    	'feature5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'feature5',
		array(
		    'label'   		=> __('Feature 5','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon5
	$wp_customize->add_setting(
		'featureicon5',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon5',
		array(
			'label'   		=> __('Feature 5 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 6
	$wp_customize->add_setting(
    	'feature6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'feature6',
		array(
		    'label'   		=> __('Feature 6','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon6
	$wp_customize->add_setting(
		'featureicon6',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon6',
		array(
			'label'   		=> __('Feature 6 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 7
	$wp_customize->add_setting(
    	'feature7',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'feature7',
		array(
		    'label'   		=> __('Feature 7','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon7
	$wp_customize->add_setting(
		'featureicon7',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon7',
		array(
			'label'   		=> __('Feature 7 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 8
	$wp_customize->add_setting(
    	'feature8',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 8,
		)
	);	

	$wp_customize->add_control( 
		'feature8',
		array(
		    'label'   		=> __('Feature 8','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon8
	$wp_customize->add_setting(
		'featureicon8',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon8',
		array(
			'label'   		=> __('Feature 8 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 9
	$wp_customize->add_setting(
    	'feature9',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 9,
		)
	);	

	$wp_customize->add_control( 
		'feature9',
		array(
		    'label'   		=> __('Feature 9','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon9
	$wp_customize->add_setting(
		'featureicon9',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon9',
		array(
			'label'   		=> __('Feature 9 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 10
	$wp_customize->add_setting(
    	'feature10',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 10,
		)
	);	

	$wp_customize->add_control( 
		'feature10',
		array(
		    'label'   		=> __('Feature 10','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon10
	$wp_customize->add_setting(
		'featureicon10',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon10',
		array(
			'label'   		=> __('Feature 10 Icon','driving-school-academy'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// style

	// feature icon color
	$featureiconcolor = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'feature_iconcolor',
    	array(
			'default' => $featureiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_iconcolor',
		array(
		    'label'   		=> __('Icon Color','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature title color
	$featuretitlecolor = esc_html__('#0b0b0b', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'feature_titlecolor',
    	array(
			'default' => $featuretitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_titlecolor',
		array(
		    'label'   		=> __('Title Color','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature box1bg color
	$featurebox1bgcolor = esc_html__('#fdd400', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'feature_box1bgcolor',
    	array(
			'default' => $featurebox1bgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_box1bgcolor',
		array(
		    'label'   		=> __('Odd Box BG Color','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// feature box2bg color
	$featurebox2bgcolor = esc_html__('#1e1e1e', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'feature_box2bgcolor',
    	array(
			'default' => $featurebox2bgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_box2bgcolor',
		array(
		    'label'   		=> __('Even Box BG Color','driving-school-academy'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	/*=========================================
	aboutus Section
	=========================================*/
	$wp_customize->add_section(
		'aboutus_setting', array(
			'title' => esc_html__( 'AboutUs Section', 'driving-school-academy' ),
			'priority' => 2,
			'panel' => 'drivingschoolacademy_frontpage_sections',
		)
	);

	$wp_customize->add_setting('drivingschoolacademy_aboutus_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new drivingschoolacademy_Tab_Control($wp_customize, 'drivingschoolacademy_aboutus_tabs', array(
	   'section' => 'aboutus_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'driving-school-academy'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'aboutus_disable_section',
				'aboutus_image',
				'aboutus_subtitle',
				'aboutus_title',
				'aboutus_description',
				'aboutus_description2',
				'aboutus_list1',
				'aboutus_list2',
				'aboutus_list3',
				'aboutus_list4',
				'aboutus_list5',
				'aboutus_list6',
				'aboutus_boxsubtitle',
				'aboutus_boxtitle',
				'aboutus_btn_text',
				'aboutus_btn_link',
				'aboutus_bt2_text',
				'aboutus_bt2_link'
            ),
            'active' => true,
		),
		array(
		'name' => esc_html__('Style', 'driving-school-academy'),
		'icon' => 'dashicons dashicons-art',
		'fields' => array(
			'aboutus_subtitlecolor',
			'aboutus_titlecolor',
			'aboutus_descriptioncolor',
			'aboutus_listcolor',
			'aboutus_boxsubtitlecolor',
			'aboutus_boxtitlecolor',
			'aboutus_btntextcolor',
			'aboutus_btnbgcolor',
			'aboutus_btntexthvrcolor',
			'aboutus_btntext2color',
			'aboutus_btn2bgcolor',
			'aboutus_btn2texthvrcolor'
		),
     	)
    	),
	))); 


	// hide show aboutus section
	$wp_customize->add_setting(
        'aboutus_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new drivingschoolacademy_Toggle_Switch_Custom_Control(
            $wp_customize,
            'aboutus_disable_section',
            array(
                'settings'      => 'aboutus_disable_section',
                'section'       => 'aboutus_setting',
                'label'         => __( 'Disable Section', 'driving-school-academy' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'driving-school-academy' ),
                    'off' => __( 'No', 'driving-school-academy' )
                ),
            )
        )
    );

	// aboutus_image
	$wp_customize->add_setting(
    	'aboutus_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image',
	        array(
			    'label'   		=> __('Image 1','driving-school-academy'),
				'description'=> __('Image Size Should Be 760*555','driving-school-academy'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image'
	        )
	    )
	);

	// aboutus_subtitle
	$wp_customize->add_setting(
    	'aboutus_subtitle',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitle',
		array(
		    'label'   		=> __('Sub Title','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_title
	$wp_customize->add_setting(
    	'aboutus_title',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_title',
		array(
		    'label'   		=> __('Title','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_description
	$wp_customize->add_setting(
    	'aboutus_description',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_description',
		array(
		    'label'   		=> __('Description','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_description2
	$wp_customize->add_setting(
    	'aboutus_description2',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_description2',
		array(
		    'label'   		=> __('Description 2','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list1
	$wp_customize->add_setting(
    	'aboutus_list1',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list1',
		array(
		    'label'   		=> __('List 1','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list2
	$wp_customize->add_setting(
    	'aboutus_list2',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list2',
		array(
		    'label'   		=> __('List 2','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list3
	$wp_customize->add_setting(
    	'aboutus_list3',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list3',
		array(
		    'label'   		=> __('List 3','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list4
	$wp_customize->add_setting(
    	'aboutus_list4',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list4',
		array(
		    'label'   		=> __('List 4','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);
	
	// aboutus_list5
	$wp_customize->add_setting(
    	'aboutus_list5',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list5',
		array(
		    'label'   		=> __('List 5','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list6
	$wp_customize->add_setting(
    	'aboutus_list6',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list6',
		array(
		    'label'   		=> __('List 6','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_boxsubtitle
	$wp_customize->add_setting(
    	'aboutus_boxsubtitle',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxsubtitle',
		array(
		    'label'   		=> __('Sub Title','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_boxtitle
	$wp_customize->add_setting(
    	'aboutus_boxtitle',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxtitle',
		array(
		    'label'   		=> __('Title','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	
	// aboutus_btn_text
	$wp_customize->add_setting(
    	'aboutus_btn_text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btn_text',
		array(
		    'label'   		=> __('Button 1 Text','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	
	// aboutus btn link
	$wp_customize->add_setting(
    	'aboutus_btn_link',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btn_link',
		array(
		    'label'   		=> __('Button 1 Link','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus_bt2_text
	$wp_customize->add_setting(
    	'aboutus_bt2_text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_bt2_text',
		array(
		    'label'   		=> __('Button 2 Text','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	
	// aboutus bt2 link
	$wp_customize->add_setting(
    	'aboutus_bt2_link',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_bt2_link',
		array(
		    'label'   		=> __('Button 2 Link','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	
	//style


	// aboutus subtitle Color
	$aboutussubtitlecolor = esc_html__('#ff5a1f', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_subtitlecolor',
    	array(
			'default' => $aboutussubtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitlecolor',
		array(
		    'label'   		=> __('Sub Title Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus title Color
	$aboutustitlecolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_titlecolor',
    	array(
			'default' => $aboutustitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_titlecolor',
		array(
		    'label'   		=> __('Title Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus description Color
	$aboutusdescriptioncolor = esc_html__('#444', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_descriptioncolor',
    	array(
			'default' => $aboutusdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus list Color
	$aboutuslistcolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_listcolor',
    	array(
			'default' => $aboutuslistcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listcolor',
		array(
		    'label'   		=> __('List Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxsubtitle Color
	$aboutusboxsubtitlecolor = esc_html__('#444', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_boxsubtitlecolor',
    	array(
			'default' => $aboutusboxsubtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxsubtitlecolor',
		array(
		    'label'   		=> __('Box Sub Title Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxtitle Color
	$aboutusboxtitlecolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_boxtitlecolor',
    	array(
			'default' => $aboutusboxtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxtitlecolor',
		array(
		    'label'   		=> __('Box Title Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btntext Color
	$aboutusbtntextcolor = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_btntextcolor',
    	array(
			'default' => $aboutusbtntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntextcolor',
		array(
		    'label'   		=> __('Button Text Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btnbg Color
	$aboutusbtnbgcolor = esc_html__('#E24E19', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_btnbgcolor',
    	array(
			'default' => $aboutusbtnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btnbgcolor',
		array(
		    'label'   		=> __('Button BG Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// aboutus btntexthvr Color
	$aboutusbtntexthvrcolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_btntexthvrcolor',
    	array(
			'default' => $aboutusbtntexthvrcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntexthvrcolor',
		array(
		    'label'   		=> __('Button Text Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btntext2 Color
	$aboutusbtntext2color = esc_html__('#fff', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_btntext2color',
    	array(
			'default' => $aboutusbtntext2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntext2color',
		array(
		    'label'   		=> __('Button 2 Text Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btn2bg Color
	$aboutusbtn2bgcolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_btn2bgcolor',
    	array(
			'default' => $aboutusbtn2bgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btn2bgcolor',
		array(
		    'label'   		=> __('Button 2 BG Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// aboutus btn2texthvr Color
	$aboutusbtn2texthvrcolor = esc_html__('#e24e19', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'aboutus_btn2texthvrcolor',
    	array(
			'default' => $aboutusbtn2texthvrcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btn2texthvrcolor',
		array(
		    'label'   		=> __('Button 2 Text Color','driving-school-academy'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	/*=========================================
	ourservice Section
	=========================================*/
	$wp_customize->add_section(
		'ourservice_setting', array(
			'title' => esc_html__( 'Our Service Section', 'driving-school-academy' ),
			'priority' => 2,
			'panel' => 'drivingschoolacademy_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('drivingschoolacademy_ourservice_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new drivingschoolacademy_Tab_Control($wp_customize, 'drivingschoolacademy_ourservice_tabs', array(
	   'section' => 'ourservice_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'driving-school-academy'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'ourservice_disable_section',
				'ourservice_subtitle',
				'ourservice_title',
				'ourservice_description',
            	'ourservice1',
            	'ourservice2',
            	'ourservice3',
            	'ourservice4'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'driving-school-academy'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'ourservice_subheadingcolor',
            	'ourservice_headingcolor',
				'ourservice_descriptioncolor',
				'ourservice_boxtitlecolor',
				'ourservice_boxdescriptioncolor',
				'ourservice_boxtitlehvrcolor'

            ),
     	)
	    
    	),
	))); 



	// General

	// hide show ourservice section
	$wp_customize->add_setting(
        'ourservice_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new drivingschoolacademy_Toggle_Switch_Custom_Control(
            $wp_customize,
            'ourservice_disable_section',
            array(
                'settings'      => 'ourservice_disable_section',
                'section'       => 'ourservice_setting',
                'label'         => __( 'Disable Section', 'driving-school-academy' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'driving-school-academy' ),
                    'off' => __( 'No', 'driving-school-academy' )
                ),
            )
        )
    );

	// ourservice_subtitle
	$wp_customize->add_setting(
		'ourservice_subtitle',
		array(
			'default' => 'Our Services',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_subtitle',
		array(
			'label'   		=> __('Sub Title','driving-school-academy'),
			'section'		=> 'ourservice_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice_title
	$wp_customize->add_setting(
		'ourservice_title',
		array(
			'default' => 'Making Your Home Feel New Again',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_title',
		array(
			'label'   		=> __('Title','driving-school-academy'),
			'section'		=> 'ourservice_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice_description
	$wp_customize->add_setting(
		'ourservice_description',
		array(
			'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Ipsum has been the indust specimen book.',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_description',
		array(
			'label'   		=> __('Description','driving-school-academy'),
			'section'		=> 'ourservice_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 1
	$wp_customize->add_setting( 
    	'ourservice1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice1',
		array(
		    'label'   		=> __('Our Service 1','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// ourservice 2
	$wp_customize->add_setting(
    	'ourservice2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'ourservice2',
		array(
		    'label'   		=> __('Our Service 2','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// ourservice 3
	$wp_customize->add_setting(
    	'ourservice3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'ourservice3',
		array(
		    'label'   		=> __('Our Service 3','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 4
	$wp_customize->add_setting(
    	'ourservice4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice4',
		array(
		    'label'   		=> __('Our Service 4','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// style

	// ourservice subheading color
	$ourservicesubheadingcolor = esc_html__('#ff5a1f', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'ourservice_subheadingcolor',
    	array(
			'default' => $ourservicesubheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_subheadingcolor',
		array(
		    'label'   		=> __('Sub Heading Color','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice heading color
	$ourserviceheadingcolor = esc_html__('#0b0b0b', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'ourservice_headingcolor',
    	array(
			'default' => $ourserviceheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_headingcolor',
		array(
		    'label'   		=> __('Heading Color','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice description color
	$ourservicedescriptioncolor = esc_html__('#444444', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'ourservice_descriptioncolor',
    	array(
			'default' => $ourservicedescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxtitle color
	$ourserviceboxtitlecolor = esc_html__('#000', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'ourservice_boxtitlecolor',
    	array(
			'default' => $ourserviceboxtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxtitlecolor',
		array(
		    'label'   		=> __('Box Title Color','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxdescription color
	$ourserviceboxdescriptioncolor = esc_html__('#444', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'ourservice_boxdescriptioncolor',
    	array(
			'default' => $ourserviceboxdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxdescriptioncolor',
		array(
		    'label'   		=> __('Box Description Color','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxtitlehvr color
	$ourserviceboxtitlehvrcolor = esc_html__('#ff5a1f', 'driving-school-academy' );
	$wp_customize->add_setting(
    	'ourservice_boxtitlehvrcolor',
    	array(
			'default' => $ourserviceboxtitlehvrcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxtitlehvrcolor',
		array(
		    'label'   		=> __('Box Title Hover Color','driving-school-academy'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	
	$wp_customize->register_control_type('drivingschoolacademy_Tab_Control');

}

add_action( 'customize_register', 'drivingschoolacademy_blog_setting' );

// feature selective refresh
function drivingschoolacademy_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'drivingschoolacademy_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'drivingschoolacademy_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'drivingschoolacademy_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'drivingschoolacademy_blog_section_partials' );

// blog_title
function drivingschoolacademy_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function drivingschoolacademy_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// feature description
function drivingschoolacademy_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


